#
# spec file for package python-ao
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-ao
BuildRequires:  libao-devel
BuildRequires:  python-devel
%define pyver %(python -c 'import sys; print sys.version[:3]')
Summary:        A Python Wrapper Module for the Audio Output Library
License:        GPL-2.0+
Group:          Development/Libraries/Python
Version:        0.82
Release:        376.1
Source0:        pyao-%{version}.tar.bz2
Patch0:         pyao-0.82-libao4.patch
Url:            http://ekyo.nerim.net/software/pyogg/index.html
Requires:       python >= %pyver
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module makes the libao (libao (Audio Output)) functions available
in python (Python). With this module you can write Python applications
that use the cross platform audio output library.

%prep
%setup -n pyao-%{version}
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python config_unix.py --prefix /usr
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog

%changelog
* Sun Dec 12 2010 coolo@novell.com
- take patch from debian to compile with latest libao, already
  contains the older diff
* Thu Oct 19 2006 jmatejek@suse.cz
- fixed 64bit bug resulting from python's PEP353
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 30 2003 mcihar@suse.cz
- initial packaging
